summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-12-22 00:44:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-12-22 00:44:36 +0000
commitf0818194dd2fc5c5f4493d96cef4dfeac00498d8 (patch)
tree6678eab2a1fad3b03fa0ceff52830f044e0615b1 /dev-python
parentdbc80d500dfaf72c583c870788ee3ea4d793f22c (diff)
downloadbaldeagleos-repo-f0818194dd2fc5c5f4493d96cef4dfeac00498d8.tar.gz
baldeagleos-repo-f0818194dd2fc5c5f4493d96cef4dfeac00498d8.tar.xz
baldeagleos-repo-f0818194dd2fc5c5f4493d96cef4dfeac00498d8.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cachetools/Manifest1
-rw-r--r--dev-python/cachetools/cachetools-5.0.0.ebuild17
-rw-r--r--dev-python/httpx/httpx-0.21.1.ebuild2
-rw-r--r--dev-python/mypy/Manifest1
-rw-r--r--dev-python/mypy/mypy-0.921.ebuild61
-rw-r--r--dev-python/nuitka/Manifest1
-rw-r--r--dev-python/nuitka/nuitka-0.6.18.5.ebuild48
-rw-r--r--dev-python/pyamg/Manifest1
-rw-r--r--dev-python/pyamg/pyamg-4.2.0.ebuild34
-rw-r--r--dev-python/pyclipper/Manifest1
-rw-r--r--dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild29
-rw-r--r--dev-python/pymssql/Manifest1
-rw-r--r--dev-python/pymssql/pymssql-2.2.3.ebuild38
-rw-r--r--dev-python/rich/rich-10.16.1.ebuild2
-rw-r--r--dev-python/sqlalchemy-rqlite/Manifest1
-rw-r--r--dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-1.1.1.ebuild29
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-2.64.0.ebuild60
18 files changed, 326 insertions, 2 deletions
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 02463d0aadea..8ed1ed7ddc61 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1 +1,2 @@
DIST cachetools-4.2.4.tar.gz 25487 BLAKE2B 91979f72b8719f4fbc57421ded6edcca38106814997abd2a17c1147af55a1b64e11b347c8ef790cd8cdafbd83b8492d377540b872430d285584aa3d3228f6435 SHA512 29a6bb3a064e5603cd3e3882d8e5a6a6ef95ba3029716692c9a82d7186a0befcfb8ed4a0ee3ecb591fdff93a46836d5b25acca7ba5eab1ba837e86404aea8fcf
+DIST cachetools-5.0.0.tar.gz 26119 BLAKE2B 29d3c9d9859c4848d807dcf8d84614b23a125bdabd4188191e7ccb1536da249226ed4b21798b49c2eb764bfea4ba16b557440438a827b1bfd8d4c5b0984695e4 SHA512 3d311969a4fcc180767f4546f384e16d47bbeb5c1d97884006872317514ea2739560346d62d0afed1916def249d92f9ff14e4d964e9521de09132d3a83463a76
diff --git a/dev-python/cachetools/cachetools-5.0.0.ebuild b/dev-python/cachetools/cachetools-5.0.0.ebuild
new file mode 100644
index 000000000000..dc7024973a31
--- /dev/null
+++ b/dev-python/cachetools/cachetools-5.0.0.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="https://pypi.org/project/cachetools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/httpx/httpx-0.21.1.ebuild b/dev-python/httpx/httpx-0.21.1.ebuild
index 513e1ddb2dfe..ba3ebf6d3e5c 100644
--- a/dev-python/httpx/httpx-0.21.1.ebuild
+++ b/dev-python/httpx/httpx-0.21.1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="cli"
RDEPEND="
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index 473e5edba958..b90016e39a4e 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1 +1,2 @@
DIST mypy-0.910.tar.gz 2551057 BLAKE2B a3c6939c8f0e2ea19a3a3f91031330df2fb25a93cc3f9239535f15c17eedcca5716cc75c5412a1d345d8572d396c3d7128e38989fd694833cb6aec8366ac4afe SHA512 49060c13da8bf17385b6b1db6efa9ac5771f2bac92d26760c4087cf128de22846b8a062f38e83ecff524e7893f8c9cd0647a2ef89e10387138544436a2840459
+DIST mypy-0.921.tar.gz 2730985 BLAKE2B cfb7b54165b961758891fcf225f1a7d6bd9c6a7b14e6bb6d8adb990ed047bc4983b5e82de6709d3b8db85a3914e1bae2be4fd36e878d37db7387ebe6e81daac1 SHA512 f592d440b45a1bbcab973aeb717ffc805164168f1369793067a46bd2884fedcb9f981bfadd3447c6801120042553a7a7110d8cfc4e1649241d3b8685dffef653
diff --git a/dev-python/mypy/mypy-0.921.ebuild b/dev-python/mypy/mypy-0.921.ebuild
new file mode 100644
index 000000000000..2bb1af855b69
--- /dev/null
+++ b/dev-python/mypy/mypy-0.921.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="http://www.mypy-lang.org/"
+SRC_URI="https://github.com/python/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.18[${PYTHON_USEDEP}]
+ >=dev-python/py-1.5.2[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-16.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+# this requires packaging a lot of type stubs
+export MYPY_USE_MYPYC=0
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with pytest-xdist 2.3.0
+ # https://github.com/python/mypy/issues/11019
+ mypy/test/teststubtest.py
+ )
+
+ [[ "${EPYTHON}" == "python3.10" ]] && EPYTEST_DESELECT+=(
+ # https://github.com/python/mypy/issues/11018
+ mypyc/test/test_commandline.py::TestCommandLine::testErrorOutput
+ )
+
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index ace30bc29ca7..4d87693a2589 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -4,4 +4,5 @@ DIST Nuitka-0.6.18.1.tar.gz 3688411 BLAKE2B 4ddc98cfb34ff825c628200a72c8cb671a10
DIST Nuitka-0.6.18.2.tar.gz 3690219 BLAKE2B 416e23500ce7739858e6393eef9783a385229509666c8fd814ce9b4110e77d69d2e7167e89d7db262ee98f60b48f43a07ffec76185154dbc50460623ac84e125 SHA512 7fa6cf48843d45b1d7a1cad11934b5cca2288939e07c12e6916b9c4a37e65d785599ada9e0001faa4117c50e4161fb54253fda27f186f5a660f59810b7254658
DIST Nuitka-0.6.18.3.tar.gz 3690647 BLAKE2B 7ab4fd2b788a63819b3cbd146e8508d781beb14eec3f0fc724fb4eb0e4805fb17917ab685ab2e28ea50d06c4235be1aa05a694b19e1a2cafd8542d8133aa3496 SHA512 b2aa249dff42c17e0f1c6a33e57cb5e40e17f4043c54467af68071e674ccbe01fd446bfce1e4f0488fd0094561c51ed9f1322e73b049ef19c3f2a9d4f0a6fc44
DIST Nuitka-0.6.18.4.tar.gz 3690751 BLAKE2B 209a7b0d981f9ba777c53b80708e7f5b09e65565246e9d06b7a0ad6155d3cb5b57e2191406e304be585b326a917f8787c4635c326b5e8ad9254d5ade40cf1ec6 SHA512 9cf404e985dcdc11416218e30340c5d52b6a835d1d1a94d9b5cedfcea774abc7ed848a5c4bd5783a9a1898f469e519148ed195945d3d8e7b9043da00ea38c7f0
+DIST Nuitka-0.6.18.5.tar.gz 3692319 BLAKE2B f60d1516cad1f82c75d63164d93072e6841f092e71bdfadfc713ef4d10838d33c786094f8e326c413bd63cdd561ac6af7a265344cafa9ab45eece630e4e0ce24 SHA512 4dcccf492b0858482b62736478aec0566f11fc8c548ca478b6055b12d694ca1736f495e11c6e4240281fbb11685f043393a1db839dae590dee821a98b4712c87
DIST Nuitka-0.6.18.tar.gz 3687825 BLAKE2B f2c5655c610083065cc205c0a92ff9c57edfc87a479592f435c3dd194e2d6d71ff0ee9866bc97f222b3936190a4420e7d69cf9413b5b2a5e9439448dda82004f SHA512 df4c81d890ce9c5dc24e648f65137d4bb91dcb92917859976a3400ace6c297f985cee4932b50cb3c2aedb2eaa806be7529a98a75a32fe3f59ec718ed3281003b
diff --git a/dev-python/nuitka/nuitka-0.6.18.5.ebuild b/dev-python/nuitka/nuitka-0.6.18.5.ebuild
new file mode 100644
index 000000000000..e7fb8e91318b
--- /dev/null
+++ b/dev-python/nuitka/nuitka-0.6.18.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="https://www.nuitka.net"
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/scons[${PYTHON_USEDEP}]"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${S}/${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/pyamg/Manifest b/dev-python/pyamg/Manifest
index 22582d7589e1..d4fd0a1ff161 100644
--- a/dev-python/pyamg/Manifest
+++ b/dev-python/pyamg/Manifest
@@ -1 +1,2 @@
DIST pyamg-4.1.0.tar.gz 749906 BLAKE2B 31c05d64317b32cbdbd616e982557f0a94bc17b2fce3d982fe93e629d56ad526516603032b3cba9785bf5ebed038481ae641f55a5a1ad621442dde08791981cb SHA512 311642cbbe8dca621cb58bebb1bb05b7dc7b2364713886df96937ba56575137bcb4fb7006a232d2c14380cd41f4337f6f09a8a9794e279a155f27287497d2b08
+DIST pyamg-4.2.0.gh.tar.gz 3900381 BLAKE2B df556553f74ebbc3b83d5a9479af25a54a4fd999edeadaeb0951893612abdb7c2aa79909f6eb4196322752ae87c5636e23c8c9b7dcdbb1f8d515651526e8aff4 SHA512 71e8e1937437888fec275e8522a30f9eb35cb79cc07d6da8032b653ed58e086285701ebb40dbe3b9fe82b53dc6e112e18cf62d42b18233326639417cf808b7c1
diff --git a/dev-python/pyamg/pyamg-4.2.0.ebuild b/dev-python/pyamg/pyamg-4.2.0.ebuild
new file mode 100644
index 000000000000..3154074d4795
--- /dev/null
+++ b/dev-python/pyamg/pyamg-4.2.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Algebraic multigrid solvers in Python"
+HOMEPAGE="https://pyamg.org"
+SRC_URI="
+ https://github.com/pyamg/pyamg/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+# cannot be enabled by "distutils_enable_tests pytest"
+BDEPEND="
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ test? (
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests setup.py
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/pyclipper/Manifest b/dev-python/pyclipper/Manifest
index 6c0a5687884b..b610642b41d5 100644
--- a/dev-python/pyclipper/Manifest
+++ b/dev-python/pyclipper/Manifest
@@ -1 +1,2 @@
DIST pyclipper-1.3.0.tar.gz 51405 BLAKE2B a7a3e81452c8178d907528b7595fb92521dfb039a6ea116d7f189639ea2975d8058ac1f685a211c98be921c41a694d89f7f431264dfe366e3acc842b25d670f4 SHA512 bee6c5f835e84baa65cbca1d812219bd94272010bbeed365b3835ef3d191042129fdcccdd85ce7841f60f46cbfd52edd270d108ff81d64b0ca712c1369394d40
+DIST pyclipper-1.3.0_p2.tar.gz 51079 BLAKE2B e5af84c15a19bf2ac7f0df78d588d34451c6f0a0bc40fa6a28dd8ef5f697e1d62eb4e14ac184e325ce4d6ad1aab23254d6e91857e3a44636a1652f86aa1778e9 SHA512 08b7f8443b0e98ddf7230824a451b0b0023402c4cecb44c1a264e08d204a3da455aef742b2ffcc0acf44a4ec3b864302af0d7a7ec34bb6a2080340b2320797dd
diff --git a/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild b/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild
new file mode 100644
index 000000000000..48e0812b5af0
--- /dev/null
+++ b/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Cython wrapper for the C++ translation of the Angus Johnson's Clipper library"
+HOMEPAGE="https://github.com/fonttools/pyclipper"
+SRC_URI="https://github.com/fonttools/pyclipper/archive/${PV/_p/.post}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P/_p/.post}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ export SETUPTOOLS_SCM_PRETEND_VERSION="${PV/_p/.post}"
+}
diff --git a/dev-python/pymssql/Manifest b/dev-python/pymssql/Manifest
index 3e2a7bacc5fd..ecb02c8ac9aa 100644
--- a/dev-python/pymssql/Manifest
+++ b/dev-python/pymssql/Manifest
@@ -1 +1,2 @@
DIST pymssql-2.2.1.tar.gz 170421 BLAKE2B 0bd57ffef97f6a557bf78056ed0f184c3b5de09fa031f80f1b7420486bb137ba1750c2ac63e89c0476a3b1808e08beb037b2d9c3fce89bce98a266626222b5c7 SHA512 d44fbe506d7daf3b5fc1dfa20b99814aa3ed025cf8e4e14097f53014bc21918e0969e15149fa93c39367a06567502be08bb673e30ebdf87d6fc2c30b01216b7c
+DIST pymssql-2.2.3.tar.gz 170134 BLAKE2B ed7d6d289b67c5ed76d737d4aec3a6731a94a2cc6bed445e526d62c4f7e9e26fe0e443846727895dd9fc396678d3ee99f021b2b365df14680817b8b8c130e5fa SHA512 10b9b976c7bfaa4c8433e08d256a580354181d41b08b1ced2648f8b4f864d1c83ee46a2d240f394d2c87cd4b494ccd51c0adf923e88de41c4cab30f2a0bae2d9
diff --git a/dev-python/pymssql/pymssql-2.2.3.ebuild b/dev-python/pymssql/pymssql-2.2.3.ebuild
new file mode 100644
index 000000000000..744520cc043a
--- /dev/null
+++ b/dev-python/pymssql/pymssql-2.2.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Simple MSSQL python extension module"
+HOMEPAGE="https://www.pymssql.org/ https://pypi.org/project/pymssql/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+# tests need a running instance of freetds
+RESTRICT="test"
+
+RDEPEND=">=dev-db/freetds-0.63[mssql]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=(
+ # https://github.com/pymssql/pymssql/pull/708
+ "${FILESDIR}"/${PN}-2.2.1-clock_gettime.patch
+)
+
+distutils_enable_tests pytest
+
+src_configure() {
+ export LINK_FREETDS_STATICALLY=no
+}
diff --git a/dev-python/rich/rich-10.16.1.ebuild b/dev-python/rich/rich-10.16.1.ebuild
index 2f9c7b326304..e1227a01a7ca 100644
--- a/dev-python/rich/rich-10.16.1.ebuild
+++ b/dev-python/rich/rich-10.16.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/willmcgugan/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
dev-python/colorama[${PYTHON_USEDEP}]
diff --git a/dev-python/sqlalchemy-rqlite/Manifest b/dev-python/sqlalchemy-rqlite/Manifest
index 418e1b79317d..f690fe2925a7 100644
--- a/dev-python/sqlalchemy-rqlite/Manifest
+++ b/dev-python/sqlalchemy-rqlite/Manifest
@@ -1 +1,2 @@
+DIST sqlalchemy-rqlite-1.1.1.tar.gz 4285 BLAKE2B e644238621bb0115338e31030895b4da2d250ddc6cdc7dd8bd093862debf5b59d6aa01c10d8ee19387db03420cdef9edb95e1c445e465ac838f43f80b4a23f5d SHA512 5cc37f09eb1e5c7baa370498ba1d07b0255bf18abbcb1b5213eb0acfd83990024f5f5030ed20cac1a2b240c26b799c00f2400fffd79455d14d122b75406614bb
DIST sqlalchemy-rqlite-1.1.tar.gz 4281 BLAKE2B 09cee627790d15715c0124a1065f5cc2c72820a652a99e4c2088de21c980071f27c451e438e84d4c92222d19b651b0e239fac8280c2bbb33c55e76c9b77868b7 SHA512 da11cadd2b6dd0f3501bdf717ad7dd7552edfcf7f32a57ce09b6dadc7eb7fb31fd92e7143151a3e3b2d5f75793f6e5096d13dbe446cb71cfa901d6ff8d4c6e12
diff --git a/dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-1.1.1.ebuild b/dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-1.1.1.ebuild
new file mode 100644
index 000000000000..9254f390d7ca
--- /dev/null
+++ b/dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-1.1.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A SQLAlchemy dialect for rqlite"
+EGIT_REPO_URI="https://github.com/rqlite/sqlalchemy-rqlite.git"
+HOMEPAGE="https://github.com/rqlite/sqlalchemy-rqlite"
+SRC_URI="https://github.com/rqlite/sqlalchemy-rqlite/archive//v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/pyrqlite[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e "s:^__version__ = .*:__version__ = '${PV}':" -i src/sqlalchemy_rqlite/constants.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 1f8602b96967..1757da7efd80 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1 +1,2 @@
DIST stripe-2.63.0.tar.gz 233693 BLAKE2B 18de5e0a74b241759a7c84203e675159958a77e3ee225ebdfd5ed2d2d633a3b91f5165ac14a164b09e4df81176aafe1727685c4156b5055dc4ea2a44b0af9134 SHA512 fedef25d95e1fe3f9b4fdab37fb4ababc3c0243218da590076942491884b284b07e6bb15e9c85a6871dabffc34c260ec9d9fb80634ab0a368cf312c2324c2bdd
+DIST stripe-2.64.0.tar.gz 234442 BLAKE2B 504e32c19f1a65a39ee709d3abc7211d648c7aaf8493edb4130d49d3fbbebea4ec7d2c116b9b715e9e0d5d383578c477ae0e2cbace51f5b8574d540e9b9238d8 SHA512 5055b5a712c0891f3660d00fe7bb27452cce33aa4a9c70fbd7391dd989d31aeb8d8288c3cdd22747b6fd4c480be17f7ab9428c31ea7d2c674e175e77f4f6a0b7
diff --git a/dev-python/stripe/stripe-2.64.0.ebuild b/dev-python/stripe/stripe-2.64.0.ebuild
new file mode 100644
index 000000000000..55854aa220db
--- /dev/null
+++ b/dev-python/stripe/stripe-2.64.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="https://github.com/stripe/stripe-python"
+SRC_URI="mirror://pypi/s/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-python/requests-2.20[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.115.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ "${stripe_mock_port}" -le "${stripe_mock_max_port}" ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port ${stripe_mock_port} &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=$!
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ http://127.0.0.1:${stripe_mock_port}/v1/customers &> /dev/null
+ eend $? "Port ${stripe_mock_port} unavailable"
+ if [[ $? -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ "${stripe_mock_port}" -gt "${stripe_mock_max_port}" ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}